# Uses of Interface
org.springframework.validation.MessageCodeFormatter

Packages that use MessageCodeFormatter
Package
Description
org.springframework.validation
Provides data binding and validation functionality, for usage in business and/or UI layers.

## Uses of MessageCodeFormatter in org.springframework.validation

Classes in org.springframework.validation that implement MessageCodeFormatter
Modifier and Type
Class
Description
`static enum`
`DefaultMessageCodesResolver.Format`
Common message code formats.
Methods in org.springframework.validation with parameters of type MessageCodeFormatter
Modifier and Type
Method
Description
`void`
DefaultMessageCodesResolver.`setMessageCodeFormatter(MessageCodeFormatter formatter)`
Specify the format for message codes built by this resolver.